FF 7 switch version Crash

Discussion in 'Switch - ROM Hacking, Saves, Translations & Tools' started by ranceSama, May 10, 2019.

  1. ranceSama
    OP

    ranceSama Newbie

    Newcomer
    1
    Oct 11, 2018
    United States
    sorry if i posting in wrong section
    first of all; my switch is currenty at FW 6.2, CFW : SX OS 2.7.1 (latest) , i patched FF7 game required firmware to 6.2 (FF 7 originally needs FW 7 or above)

    finally my Final fantasy 7 game got crashed after played cutscene at whirwind maze(the moment cloud gives black materia onto sleeping sepiroth)

    has anyone ever experienced this issue ?
    i can provide my own game save if it's needed if u want to test it out

    thx in advance
     
  2. Olmectron

    Olmectron GBAtemp Addict

    Member
    10
    GBAtemp Patron
    Olmectron is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Dec 31, 2012
    Mexico
    A game
    I would recommend actually updating. SXOS is already compatible with latest firmware.
     
  3. ranceSama
    OP

    ranceSama Newbie

    Newcomer
    1
    Oct 11, 2018
    United States
    i dont want to update my FW right now, will do when i feel i need to

    i already tried with previous sx OS version but no luck

    i just wonder why does this classic game need FW 7 or above , meanwhile other great AAA switch games can be played at lower firmware lol
    thx for your fast response dude
     
  4. Olmectron

    Olmectron GBAtemp Addict

    Member
    10
    GBAtemp Patron
    Olmectron is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Dec 31, 2012
    Mexico
    A game
    Some updates actually add specific functions not found in older firmware.

    While several games that require the 7.0 FW don't really "need" it since they actually don't use any of the new added functions, some games actually need some new firmware functions to run. That's the reason most recent games won't work in 1.0 FW even when spoofing Firmware Version when installing the NSP.

    You could use choidujournx to update to 7.0.1

    Installiing Smash Bros. 3.0 update, for example, didn't work on 6.2 even when spoofing. The game crashed on boot if you installed the DLC while in 6.2.
     
    Last edited by Olmectron, May 10, 2019
Quick Reply
Draft saved Draft deleted
Loading...